# The Program fxcanon

## Description

fxcanon is a validating XML processor. It reads an XML document and produces an equivalent canonical document. Canonical XML was invented by James Clark for testing XML parsers. It contains only the information a processor is required to pass to the application. fxcanon understands all options documented for fxp; additionally, the following options are available:

`-o fname`
`--output=fname`
  Write all output, except for errors and warnings, to the file named `fname`. If `fname` is `-`, the standard output is used. Defaults is `-`.